Skip to content

Check forge job status

GET
/api/v1/forge/status/{job_id}
curl --request GET \
--url https://api.ultimateteam.ai/api/v1/forge/status/example \
--header 'X-API-Key: <X-API-Key>'

Return the current status and result (when completed) for a forge job.

job_id
required
Job Id
string

Successful Response

Media typeapplication/json
ForgeJobStatusEnvelope

Typed envelope for GET /forge/status/{job_id} (200).

object
data
required
ForgeJobStatus

Envelope returned when polling job status (200).

Attributes: job_id: UUID of the forge job. status: Current lifecycle state. result: Present when status is ‘completed’. error: Present when status is ‘failed’.

object
error
Any of:
string
job_id
required
Job Id
string
result
Any of:
Result
status
required
Status
string
Examplegenerated
{
"data": {
"error": "example",
"job_id": "example",
"result": "example",
"status": "example"
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}